> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gcore.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a single Bonus

> Retrieve a single `Bonus` by ID.



## OpenAPI

````yaml /api-reference/services_docs_mintlify_enriched/billing_reseller_api.yaml get /billing/org/v1/bonuses/{id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Billing Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: 69d376182a7d
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: accounting
  - name: addendums
    description: Operations on client addendums
  - name: bonuses
  - name: calc_rules
  - name: countries
  - name: currencies
  - name: erp-invoices
  - name: expenses
    description: Operations on expenses
  - name: payment-bindings
  - name: plans
    description: Operations on tariff plans and their contents
  - name: products
  - name: regions
  - name: reports
    description: >-
      Operations involving reports and the associated background tasks that
      handle their processing
  - name: statistic-regions
  - name: trials
  - name: units
paths:
  /billing/org/v1/bonuses/{id}:
    get:
      tags:
        - bonuses
      summary: Get a single Bonus
      description: Retrieve a single `Bonus` by ID.
      operationId: v1_bonuses_retrieve
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BonusForOrgSerializerV1'
          description: Request successful.
        '401':
          description: Authentication credentials were not provided or are invalid.
        '403':
          description: You do not have permission to perform this action.
        '404':
          description: The requested resource was not found.
components:
  schemas:
    BonusForOrgSerializerV1:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        active_from:
          type: string
          format: date-time
        active_to:
          type: string
          format: date-time
        client_id:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          description: ID of client in API service
        amount:
          type: string
          format: decimal
          pattern: ^-?\d{0,24}(?:\.\d{0,12})?$
        currency_char_code:
          type: string
          description: Currency iso4217 char code
        description:
          type: string
          nullable: true
          maxLength: 255
        client_company:
          type: string
          nullable: true
          description: Client name in english
          readOnly: true
        product_category_ids:
          type: array
          items:
            type: integer
            title: ID
      required:
        - active_from
        - active_to
        - amount
        - client_company
        - client_id
        - created_at
        - id
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234_abcdef`
      type: apiKey
      in: header
      name: Authorization

````